#ifndef	__KIO__
#define	__KIO__

// ---- Data type definitions -------------------------------------------------
#define 	Char		unsigned char
#define 	Short	unsigned short
#define 	Long		unsigned long

// -----	Constants ---------------------------------------------------------
#define	true	1
#define	false 	0
#define	yes		1
#define	no		0
#define	on		1
#define	off		0

// -----	Error numbers -----------------------------------------------------
#define error	-1			// general error
#define	ok		0			// no error
#define	oomem	'kx01'		// memory overflow
#define	oorange	'kx02'		// argument out of range (general)
#define	badref	'kx03'		// Handle, pointer, or reference number is illegal
#define badsize	'kx04'		// argument out of range (size)
#define	badidx	'kx05'		// Array index out of range

// -----	Nice defines -------------------------------------------------------
#define 	min(a,b)	( ((a) < (b)) ? (a) : (b) )
#define 	max(a,b)	( ((a) > (b)) ? (a) : (b) )

// -----	Standard functions -------------------------------------------------
extern	CheckGestalt	( void );
extern	InitAppleEvents	( void );
extern	PollEvents 	( short evMask, long evDelay, RgnHandle evRegion );

// -----	General data -------------------------------------------------
extern	EventRecord	event;		// event returned by WaitNextEvent
extern	Boolean		done;		// Abbruchkriterium fr Event-Warteschleife
extern	Boolean		powerMgr;	// Power manager present? --> CheckGestalt()

#endif